> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udstep.md).

# New-UDStep

### Sinossi

Crea un nuovo passaggio per uno stepper.

### Sintassi

```powershell
New-UDStep [[-Id] <String>] [-OnLoad] <Endpoint> [[-Label] <String>] [-Optional] [-DisablePrevious] [[-Icon] <Object>] [-RemoveIconStyle] [[-IconStyle] <Hashtable>] [[-DarkIconStyle] <Hashtable>] [<CommonParameters>]
```

### Descrizione

Crea un nuovo passaggio per uno stepper. Da aggiungere al parametro Children (alias Steps) di New-UDStepper.

### Parametri

#### -Id

L'ID del componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnLoad

Il blocco di script che viene eseguito quando il passaggio viene caricato. Il blocco di script riceverà il parametro $Body che contiene il JSON con lo stato corrente dello stepper. Se utilizza controlli di form, i loro dati saranno disponibili nella proprietà $Body.Context.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

Un'etichetta per questo passaggio.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Optional [<SwitchParameter>]
        Whether this step is optional.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisablePrevious [<SwitchParameter>]
        Disables the back button on the step

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon L'icona da associare al passaggioRequired?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -RemoveIconStyle \[\<SwitchParameter>]        Removes circle style around iconRequired?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-IconStyleRequired?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-DarkIconStyleRequired?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Output--------------------------> ESEMPIO 1 --------------------------PS > Creates a stepper that reports the stepper context with each step.New-UDStepper -Id 'stepper' -Steps {    New-UDStep -OnLoad {        New-UDElement -tag 'div' -Content { "Step 1" }        New-UDTextbox -Id 'txtStep1'    } -Label "Step 1"    New-UDStep -OnLoad {        New-UDElement -tag 'div' -Content { "Step 2" }        New-UDElement -tag 'div' -Content { "Previous data: $Body" }        New-UDTextbox -Id 'txtStep2'    } -Label "Step 2"    New-UDStep -OnLoad {        New-UDElement -tag 'div' -Content { "Step 3" }        New-UDElement -tag 'div' -Content { "Previous data: $Body" }        New-UDTextbox -Id 'txtStep3'    } -Label "Step 3"} -OnFinish {    New-UDTypography -Text 'Nice! You did it!' -Variant h3    New-UDElement -Tag 'div' -Id 'result' -Content {$Body}}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udstep.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
